Name:		imageinfo
Version:	0.05
Release:	27%{?dist}
Summary:	Extract attributes of digital images

Group:		Applications/Multimedia
License:	GPLv2+
URL:		http://www.wohlberg.net/public/software/photo/imageinfo/
Source0:	http://www.wohlberg.net/public/software/photo/imageinfo/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	ImageMagick-devel, lcms-devel, autoconf
%if 0%{?fedora} >= 8
BuildRequires: popt-devel
%endif

Patch0: imageinfo-mgkcr.patch
Patch1: imageinfo-atcnf.patch

%description
ImageInfo computes and displays selected image attributes. It is
similar in function to the ImageMagick "identify" utility, but
provides a few additional attributes (such as details of embedded ICC
profiles), and allows command line selection of the attributes to be
computed, avoiding unnecessary computation and and allowing easier
parsing of results when this utility is called from a script.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
autoconf
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README GPL ChangeLog NEWS
%{_bindir}/*
%{_mandir}/*/*


%changelog
* Sun Jul 30 2017 Kevin Fenzi <kevin@scrye.com> - 0.05-27
- Rebuild for ImageMagick

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.05-26
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.05-25
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.05-24
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.05-23
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.05-22
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.05-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Apr 13 2014 Pavel Alexeev <Pahan@Hubbitus.info> - 0.05-20
- ImageMagick 6.8.8.10-3 rebuild.
- Fix bogus date in changelog.

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.05-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Mar 30 2013 Kevin Fenzi <kevin@scrye.com> - 0.05-18
- Rebuild for broken deps in rawhide

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.05-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.05-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun Mar 18 2012 Brendt Wohlberg <osspkg@gmail.com> - 0.05-15
- Rebuilt for new ImageMagick

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.05-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.05-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Sep 29 2010 jkeating - 0.05-12
- Rebuilt for gcc bug 634757

* Mon Sep 20 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 0.05-11
- rebuild for new ImageMagick

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.05-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Mar 12 2009 Brendt Wohlberg <osspkg@gmail.com> - 0.05-9
- Release bump due to unrecoverable tagging problem.

* Thu Mar 12 2009 Brendt Wohlberg <osspkg@gmail.com> - 0.05-8
- Rebuilt to deal with broken libMagickCore.so.1 dependency resulting
  from recent ImageMagick update.

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.05-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Jun 15 2008 Brendt Wohlberg <osspkg@gmail.com> - 0.05-6
- Added patch to deal with autoconf changes in devel branch. 

* Sun Jun 15 2008 Brendt Wohlberg <osspkg@gmail.com> - 0.05-5
- Fixed application of patch in spec file (thanks for Dave Jones for 
  pointing out the problem). 

* Thu May 15 2008 Brendt Wohlberg <osspkg@gmail.com> - 0.05-4
- Added patch for recent rename of Magick-config to MagickCore-config

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.05-3
- Autorebuild for GCC 4.3

* Mon Oct  8 2007 Brendt Wohlberg <osspkg@gmail.com> - 0.05-2
- Modified for Fedora 8 popt-devel dependency

* Fri Sep 14 2007 Brendt Wohlberg <osspkg@gmail.com> - 0.05-1
- Fixed some spec file problems, various minor improvements

* Wed Mar 15 2006 Brendt Wohlberg <osspkg@gmail.com> - 0.03-2
- Added missing popt dependency

* Wed Aug 17 2005 Brendt Wohlberg <osspkg@gmail.com> - 0.02-2
- Removed BuildArchitectures tag and added BuildRequires tag

* Tue Mar 29 2005 Brendt Wohlberg <osspkg@gmail.com> - 0.02-1
- Created spec file
